# bitcode has no debuginfo
%global debug_package %{nil}

Name:           ROCm-Device-Libs
Version:        4.5.2
Release:        1%{?dist}
Summary:        AMD ROCm LLVM bit code libraries

Url:            https://github.com/RadeonOpenCompute/ROCm-Device-Libs
License:        NCSA
Source0:        https://github.com/RadeonOpenCompute/%{name}/archive/refs/tags/rocm-%{version}.tar.gz#/%{name}-%{version}.tar.gz
# This patch is being considered upstream:
Patch0:         0001-Use-FHS-compliant-install.patch

BuildRequires:  cmake
BuildRequires:  clang-devel
BuildRequires:  llvm-devel
BuildRequires:  zlib-devel

#Only the following architectures are supported:
ExclusiveArch:  x86_64 aarch64

%description
This package contains a set of AMD specific device-side language runtime
libraries in the form of bit code. Specifically:
 - Open Compute library controls
 - Open Compute Math library
 - Open Compute Kernel library
 - OpenCL built-in library
 - HIP built-in library
 - Heterogeneous Compute built-in library

%prep
%autosetup -p1 -n %{name}-rocm-%{version}

%build
%cmake . -DCMAKE_BUILD_TYPE="RELEASE"
%cmake_build

%install
%cmake_install

%files
%license LICENSE
%doc README.md doc/*.md
%{_libdir}/cmake/AMDDeviceLibs
%{_libdir}/amdgcn

%changelog
* Mon Jan 17 2022 Jeremy Newton <alexjnewt at hotmail dot com> - 4.5.2-1
- Initial package
